close all
clear all
clc

%% SETTINGS - Modify this!
outputfolder = 'bmvc2013_view_clustering_fraumunster/';


%% DRAWING
clusters_matrix = load([outputfolder 'clusters_matrix.txt']);
P = load([outputfolder 'points.txt']);
C = load([outputfolder 'cameras.txt']);
overlap_list = find(sum(clusters_matrix)>1);
no_groups = size(clusters_matrix,1);


figure
plot3(P(:,1),P(:,2),P(:,3),'k.','MarkerSize',2)
for i=1:no_groups
    ind = find(clusters_matrix(i,:)==1);
    hold on
    plot3(C(ind,1),C(ind,2),C(ind,3),'s','MarkerSize',10,'Color',hsv2rgb([(i-1)/no_groups 1 1]),'MarkerFaceColor',hsv2rgb([(i-1)/no_groups 1 1]))
end
hold on
plot3(C(overlap_list,1),C(overlap_list,2),C(overlap_list,3),'s','MarkerSize',14,'Color',[0 0 0],'MarkerFaceColor',[0.85 0.85 0.85])
grid on
